
import bcrypt
import random

def generate_random_password(length):
    """
    Generate a random password of a given length using bcrypt's random library
    """
    # Importing the necessary functions from bcrypt
    from bcrypt import _hash as hash_func
    from bcrypt import _genseed as generate_seed

    # Generating a random salt
    salt = generate_seed(16)

    # Generating a random password
    password = ''.join(random.choice('abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789') for i in range(length))

    # Hashing the password with the generated salt
    hashed_password = hash_func(password.encode('utf-8'), salt)

    return hashed_password



